PhoneGap Setup
==============

This guide describes how to integrate **Handheld** with the mobile platform you are targeting. It assumes you 
have downloaded and unzipped [PhoneGap](http://phonegap.com/download) and created a **$PHONEGAP_SDK** environment 
variable that points to its folder.  

iOS Setup
---------
This guide assumes you have [XCode](https://developer.apple.com/xcode/) already installed.

1. Add **$PHONEGAP_SDK/lib/ios/bin** to your path
2. Create a project: ```create /full/path/to/YourProject com.your.domain.YourProject YourProject```
3. Open XCode and import **/full/path/to/YourProject**
4. Run the project in the XCode simulator and confirm it show's **Device Ready**.

For further assitance see the [PhoneGap iOS documentation](http://docs.phonegap.com/en/2.5.0/guide_getting-started_ios_index.md.html)

Android Setup
-------------
This guide assumes you have the [Android development](http://developer.android.com/sdk/index.html) tools (ADT) already installed and have
added **$ANDROID_SDK/tools** and **$ANDROID_SDK/platform-tools** to your path.

1. Add **$PHONEGAP_SDK/lib/android/bin** to your path
2. Create a project: ```create /full/path/to/YourProject com.your.domain.YourProject YourProject```
3. Open ADT and import **/full/path/to/YourProject**
4. Run the project in the Android simulator and confirm it show's **Device Ready**.


Optional but highly recommended 
-------------------------------

1. Install Chrome PhoneGap emulator plugin: http://goo.gl/rAo3b (http://emulate.phonegap.com/)
