// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld;

/** Device information */
class DeviceInfo { 
  DeviceInfo(this.name, this.cordovaVersion, this.platform, this.platformVersion, this.uuid, this.screen);
  
  /** The device's model name. */
  final String name;

  /** The version of Cordova running on the device. */
  final String cordovaVersion;

  /** The device's operating system name. */
  final String platform;
  
  /** The operating system version. */
  final String platformVersion;

  /** The device's Universally Unique Identifier. */
  final String uuid;

  /** Device screen information such as hight and width. */
  final DeviceScreen screen;
}

/** Device screen information */
class DeviceScreen {
  DeviceScreen(this.height, this.width, this.colorDepth);
  
  /** Get the device exact screen height */
  final int height;

  /** Get the device's exact screen width */
  final int width;

  /** Get the device's operating system name. */
  final int colorDepth;
}

