// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_js_impl;

class DeviceJs implements Device {
  @override
  DeviceAccelerometer get accelerometer => new DeviceAccelerometerJs();

  @override
  DeviceNotification get notification => new DeviceNotificationJs();

  @override
  DeviceInfo get info {
    DeviceInfo deviceInfo;
    js.scoped(() {
      // screen
      var height = js.context.screen.height;
      var width = js.context.screen.width;
      var colorDepth = js.context.screen.colorDepth;
      var deviceScreen = new DeviceScreen(height, width, colorDepth);
      // device
      var name = js.context.device.name;
      var cordovaVersion = js.context.device.cordova; 
      var platform = js.context.device.platform; 
      var platformVersion = js.context.device.version;
      var uuid = js.context.device.uuid; 
      deviceInfo = new DeviceInfo(name, "cordova", "platform", "uuid", "version", deviceScreen);
    });
    _logger.debug("gathered device info for: ${deviceInfo.name}");
    return deviceInfo;
  }

  @override
  Future<DeviceDatabase> openDatabase(String name, String version, String displayname, int size) => null;
  
  static final _logger = LoggerFactory.getLoggerFor(DeviceJs);
}



