// Copyright (c) 2013, the project authors. Please see the AUTHORS file
// for details. All rights reserved. Use of this source code is governed 
// by a Apache license that can be found in the LICENSE file.

part of handheld_mock_impl;

class DeviceAccelerometerMock implements DeviceAccelerometer {
  @override
  Future<DeviceAcceleration> get currentAcceleration {
    var accel = new DeviceAcceleration(1.0, 2.0, 3.0, new DateTime.now());
    return new Future.value(accel);
  }
  
  @override
  DeviceAccelerationStream watchAcceleration(int frequency) => new MockDeviceAccelerationStream(frequency);
}

class MockDeviceAccelerationStream implements DeviceAccelerationStream  {
  MockDeviceAccelerationStream(int frequency) {
    var ticker = new Duration(milliseconds: frequency);
    _timer = new Timer.periodic(ticker, (Timer t) {
      var acceleration = new DeviceAcceleration(1.0, 2.0, 3.0, new DateTime.now());
      if(_listener != null) {
        _listener(acceleration);
      }
    });
  }
  
  listen(DeviceAccelerationListener listener) => _listener = listener;
  
  close() => _timer.cancel();
  
  Timer _timer;
  DeviceAccelerationListener _listener;
}
